LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (https://www.linuxquestions.org/questions/slackware-14/)
-   -   Slackware from Scratch and X11 (https://www.linuxquestions.org/questions/slackware-14/slackware-from-scratch-and-x11-4175560702/)

marav 08-16-2022 09:37 AM

Quote:

Originally Posted by nobodino (Post 6374049)
I haven't the git repo for dhcpcd?

https://github.com/NetworkConfiguration/dhcpcd
and
https://roy.marples.name/git/dhcpcd

EDIT: Roy is on holiday, so we'll wait a bit, at least for a reply

marav 08-16-2022 01:48 PM

From Roy:
Code:

Looks like we need to add a define for __NR_getrandom in privsep-linux.c

I can prepare a patch when I get back from holiday next week unless
someone else can beat me to it.


nobodino 08-18-2022 02:54 AM

The problem with the kdepim mailcommon package and cmake is solved with the new version of cmake-3.24.1

marav 08-26-2022 03:20 AM

Quote:

Originally Posted by nobodino (Post 6373987)
However, there's a problem with dhcpcd built with glibc-2.36:

Thanks to Roy for his reactivity
Code:

[PATCH] privsep: Allow getrandom sysctl for newer glibc
https://github.com/NetworkConfigurat...704d5f52.patch

EDIT: just tested and, of course, it works

+
Code:

privsep: Allow newfstatat syscall as well
Allows newer glibc variants to work apparently.

https://github.com/NetworkConfigurat...d74c4ff5.patch

nobodino 08-26-2022 09:50 AM

ok, included in the SFS build tree.

nobodino 08-27-2022 01:34 AM

apparently there's another patch concerning glibc-2.36 : https://github.com/NetworkConfigurat...733585d74c4ff5

with this patch : https://github.com/NetworkConfigurat...d74c4ff5.patch

updated SFS source build tree.

created a git version of dhcpcd which works: https://github.com/nobodino/slackwar...cd-git-version

marav 08-27-2022 03:04 AM

Quote:

Originally Posted by nobodino (Post 6376466)
apparently there's another patch concerning glibc-2.36 : https://github.com/NetworkConfigurat...733585d74c4ff5

with this patch : https://github.com/NetworkConfigurat...d74c4ff5.patch

updated SFS source build tree.

created a git version of dhcpcd which works: https://github.com/nobodino/slackwar...cd-git-version

You need to re-read my post ;-)

nobodino 08-27-2022 05:32 AM

you're right.
Thanks.

nobodino 10-16-2022 02:26 AM

Regression test up to "Fri Oct 14 01:39:37 UTC 2022" (x86_64 version).

Just 2 remaining packages don't build correctly:
- f2fs need a patch to build with lz4-1.9.4 (see: https://www.linuxquestions.org/quest...ls-4175715792/)
Code:

diff -aurN f2fs-tools-1.15.0/fsck/compress.c f2fs-tools-1.15.0-mod/fsck/compress.c
--- f2fs-tools-1.15.0/fsck/compress.c        2022-05-13 19:50:41.000000000 +0200
+++ f2fs-tools-1.15.0-mod/fsck/compress.c        2022-08-19 12:15:48.037589094 +0200
@@ -32,10 +32,10 @@
 #ifdef HAVE_LIBLZ4
 #define LZ4_MEMORY_USAGE                14
 #define LZ4_MAX_INPUT_SIZE                0x7E000000 /* 2 113 929 216 bytes */
-#ifndef LZ4_STREAMSIZE
-#define LZ4_STREAMSIZE                        (LZ4_STREAMSIZE_U64 * sizeof(long long))
+#ifndef LZ4_STREAM_MINSIZE
+#define LZ4_STREAM_MINSIZE  ((1UL << LZ4_MEMORY_USAGE) + 32)  /* static size, for inter-version compatibility */
 #endif
-#define LZ4_MEM_COMPRESS                LZ4_STREAMSIZE
+#define LZ4_MEM_COMPRESS              LZ4_STREAM_MINSIZE
 #define LZ4_ACCELERATION_DEFAULT        1
 #define LZ4_WORK_SIZE                        ALIGN_UP(LZ4_MEM_COMPRESS, 8)
 #endif

- pangomm refuse to build because of pango changes in headers files (see : https://www.linuxquestions.org/quest...mm-4175716509/)

here' what's left:

Code:

--- list-slackware        2022-10-16 09:17:41.244788733 +0200
+++ list-sfs        2022-10-16 09:17:41.256788878 +0200
@@ -29,7 +29,7 @@
 a/etc-15.1-x86_64-2.txz
 a/eudev-3.2.11-x86_64-2.txz
 a/exfatprogs-1.1.3-x86_64-1.txz
-a/f2fs-tools-1.15.0-x86_64-1.txz
+a/f2fs-tools-1.15.0-x86_64-1_sfs.txz
 a/file-5.43-x86_64-1.txz
 a/findutils-4.9.0-x86_64-1.txz
 a/floppy-5.5-x86_64-4.txz
@@ -927,7 +927,7 @@
 l/opusfile-0.12-x86_64-3.txz
 l/orc-0.4.32-x86_64-3.txz
 l/pango-1.50.11-x86_64-1.txz
-l/pangomm-2.42.2-x86_64-3.txz
+l/pangomm-2.46.2-x86_64-3.txz
 l/parted-3.5-x86_64-1.txz
 l/pcaudiolib-1.2-x86_64-1.txz
 l/pcre2-10.40-x86_64-2.txz


nobodino 10-29-2022 07:44 AM

Regression test up to "Thu Oct 27 02:30:15 UTC 2022" (x86_64 version).

Not too bad, only one remaining package refusing to build.

Code:

--- list-slackware        2022-10-29 14:42:21.062632918 +0200
+++ list-sfs        2022-10-29 14:42:21.076633083 +0200
@@ -927,7 +927,7 @@
 l/opusfile-0.12-x86_64-3.txz
 l/orc-0.4.32-x86_64-3.txz
 l/pango-1.50.11-x86_64-1.txz
-l/pangomm-2.42.2-x86_64-3.txz
+l/pangomm-2.46.2-x86_64-3.txz
 l/parted-3.5-x86_64-1.txz
 l/pcaudiolib-1.2-x86_64-1.txz
 l/pcre2-10.40-x86_64-2.txz


nobodino 11-03-2022 02:42 AM

Regression test up to "Mon Oct 31 23:31:36 UTC 2022" (x86_64 version).

Except glibc and s-nail packages which had problems with new make package, nothing new under the sun.

lucabon 12-12-2022 10:06 AM

Nethack no more build from gcc 12 (not detected because the package was build also with errors).

Fixing config.h:

--- nethack.SlackBuild.orig 2022-09-15 20:23:58.052165083 +0200
+++ nethack.SlackBuild 2022-12-12 17:04:44.146540910 +0100
@@ -107,6 +107,9 @@

sed -e "/^MANDIR\s*=/s|/usr/man/man6|$PKG/usr/man/man6|" -i sys/unix/Makefile.doc

+# Fixing gcc 12 compatibility:
+sed -i 's/#define UNIX/#include <stdlib.h>\n#include <stdio.h>\n&/' include/config.h
+

# Create a few directories:
mkdir -p $PKG/usr/man/man6
mkdir -p $PKG/usr/doc/nethack-$VERSION
@@ -116,7 +119,7 @@
( cd sys/unix ; sh setup.sh hints/linux )

# Build and install:
-make -j1 install manpages PREFIX=$PKG
+make -j1 install manpages PREFIX=$PKG || exit 1

# Fix some paths:
sed -e "s|HACKDIR=$PKG/|HACKDIR=/|" \

marav 12-12-2022 06:58 PM

Quote:

Originally Posted by lucabon (Post 6397444)
Nethack no more build from gcc 12 (not detected because the package was build also with errors).

Fixing config.h:

--- nethack.SlackBuild.orig 2022-09-15 20:23:58.052165083 +0200
+++ nethack.SlackBuild 2022-12-12 17:04:44.146540910 +0100
@@ -107,6 +107,9 @@

sed -e "/^MANDIR\s*=/s|/usr/man/man6|$PKG/usr/man/man6|" -i sys/unix/Makefile.doc

+# Fixing gcc 12 compatibility:
+sed -i 's/#define UNIX/#include <stdlib.h>\n#include <stdio.h>\n&/' include/config.h
+

# Create a few directories:
mkdir -p $PKG/usr/man/man6
mkdir -p $PKG/usr/doc/nethack-$VERSION
@@ -116,7 +119,7 @@
( cd sys/unix ; sh setup.sh hints/linux )

# Build and install:
-make -j1 install manpages PREFIX=$PKG
+make -j1 install manpages PREFIX=$PKG || exit 1

# Fix some paths:
sed -e "s|HACKDIR=$PKG/|HACKDIR=/|" \

They made a patch, long time ago ... (Jan. 4)
https://github.com/NetHack/NetHack/c...7442ed7ff2fe4e

xlfs-0.2 12-14-2022 07:07 PM

I do think libepoxy should be done, and it shouldn' be difficult.

gelf.h is not required for <=Xorg-22 nor <=mesa-22, it must be an option of something optional (GL and firefox work without it, as for the rest IDK)

> 6) Also had to recompile glib2 before gtk-pixbuf2 would compile.

perhaps that is because you inadvertently changed the order?

or maybe slack-build is not an "error free build" ?

========================
if you recompile Xorg after the build (or rather proceed forward then recompile it)

YOU WILL need to recompile xf86-input-* xf86-video-*, since they are coded to not load unless built after Xorg

nobodino 12-15-2022 01:22 AM

@xlfs-0.2: I don't understand a single word of what you're talking about, sorry.

I looked at your profile, you're trying to build XLFS, that's fine.
I'll look at your project during christmas holydays, but clearly I don't understand your message!


All times are GMT -5. The time now is 06:39 PM.